#include <avr/io.h>
#include <stdio.h>
#include <stdint.h>

void vymena(int8_t *pa, int8_t *pb)
{
  int8_t c = *pa;
  *pa = *pb;
  *pb = c;
}

int main(void)
{
  int8_t x = 1, y = -3;
  
  printf("x = %i, y = %i\n", x, y);
  vymena(&x, &y);
  printf("x = %i, y = %i\n", x, y);
  vymena(&x, &y);
  printf("x = %i, y = %i\n", x, y);
  
  while (1) 
  {
  }
}

